Skip to main content
PATCH
/
api
/
public
/
v1
/
vms
/
{id}
Update a virtual machine
curl --request PATCH \
  --url https://api.vmarea.com/api/v1/api/public/v1/vms/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "isProtected": true
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "hostname": "<string>",
    "status": "<string>",
    "vcpu": 123,
    "ram": 123,
    "disk": 123,
    "bandwidth": 123,
    "networkSpeed": 123,
    "network10gEnabled": true,
    "dailyBackupEnabled": true,
    "isProtected": true,
    "ipAddress": "<string>",
    "region": {
      "slug": "<string>",
      "name": "<string>"
    },
    "plan": {
      "slug": "<string>",
      "name": "<string>",
      "priceMonthly": "<unknown>"
    },
    "osTemplate": {
      "slug": "<string>",
      "name": "<string>",
      "version": "<string>"
    },
    "billing": {
      "nextRenewalAt": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "priceMonthly": "<unknown>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "bandwidthUsedBytes": 123,
    "bandwidthPackBytes": "<string>",
    "sshKeys": [
      {
        "id": "<string>",
        "name": "<string>",
        "fingerprint": "<string>"
      }
    ],
    "firewalls": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "privateNetworks": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vmarea.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Long-lived API token created at https://vmarea.com/dashboard/settings/api-keys. Tokens are scope-restricted; this spec lists the scope each endpoint requires.

Path Parameters

id
string
required

Body

application/json
name
string
Required string length: 1 - 100
isProtected
boolean

Response

Default Response

success
enum<boolean>
required
Available options:
true
data
object
required